Message 1 of 4

Not applicable
06-03-2020
06:59 AM
- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
I am having trouble getting the createHelixWire to work.
Here is a script that should generate a Helix with:
Oriented along the Z-axis
starting at z=0
pitch 0.2
turns 10
diameter 2
no taper
But it just generates a straight vertical wire. I can't figure out what I am doing wrong.
The Helix Wire in the TemporaryBRepManager sample generates fine so it must be my fault.
import adsk.core, adsk.fusion, adsk.cam, traceback
def run(context):
ui = None
try:
app = adsk.core.Application.get()
des = app.activeProduct
root = des.rootComponent
bodies = root.bRepBodies
tbm = adsk.fusion.TemporaryBRepManager.get()
hw1 = tbm.createHelixWire(
adsk.core.Point3D.create(0,0,0),
adsk.core.Vector3D.create(0,0,1),
adsk.core.Point3D.create(1,0,0),
0.5,
10,
0.5
)
bodies.add(hw1)
except:
print(traceback.format_exc())
Solved! Go to Solution.
Reply
Reply